Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1417098 - Scrolling using touch-pad in gnumeric does not work using Wayland. Works on Xorg.
Summary: Scrolling using touch-pad in gnumeric does not work using Wayland. Works on X...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2017-01-27 08:49 UTC by hamming.dolf
Modified: 2022-07-11 18:51 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-11 18:51:30 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description hamming.dolf 2017-01-27 08:49:28 UTC
Description of problem:
Using gnumeric on Wayland. Scrolling using touch-pad does not work. Works fine on other applications (not found similar issues on any other application yet since 2 weeks after initial release of F25).
Using the scroll bar works, but does not show where in the window you are (does not move with position, or re-size with area size).
Using a mouse works way better.

Version-Release number of selected component (if applicable):


How reproducible:
Behavior is consistent from initial release of F25 until all of today's updates.

Steps to Reproduce:
1. Log into a Wayland session. Start gnumeric with any file and scrolling does not work using touch-pad.
2. Log out. Log into a Xorg session. Start gnumeric with any file and scolling does work using touch-pad.
3. Log out and back into a Wayland session, and scrolling is dis-functional again.
4. Fresh install does not make the issue go away.

Actual results:
Using the touch-pad and two-finger scrolling does not scroll inside the spreadsheet, neither up-down, nor left-right..

Expected results:
Using the touch-pad and two-finger scrolling scrolls inside the spreadsheet, both up-down and left-right.

Additional info:
Hardware: Thinkpad TP440s, i5, 8GB, 128SSD.
OS: Fedora 25 clean install
Applications (besides std install): gnome-tweak-tool, latex, ImageMagick, gnumeric, pdf shuffler, gnu-cash, gimp, geeqie, inkscape, keepassx, rawtherapee, nautilus open terminal here, cloudstation, xournal, tlp, Chromium, Solitaire, Latexila, Power statistics, VLC, Web/ Epiphany, Firewalld

Comment 1 Fedora End Of Life 2017-02-28 11:06:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Andrew Overholt 2017-03-15 15:08:28 UTC
Is there some workaround here? Having to revert to X is rather unfortunate.

Comment 3 Alexander Mikhaylenko 2017-06-09 09:19:53 UTC
Same problem in Inkscape since 0.92.1-4.20170510bzr15686.fc25.x86_64.

Andrew Overholt: it's possible to launch a GTK3 application through XWayland by setting GDK_BACKEND to x11. Like this:
GDK_BACKEND=x11 gnumeric

Comment 4 Fedora End Of Life 2018-05-03 08:06:43 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Andrew Overholt 2018-05-04 13:44:59 UTC
This is still an issue in Fedora 27, FWIW.

Comment 6 Fedora End Of Life 2018-05-29 11:20:42 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Andrew Overholt 2018-05-31 13:55:10 UTC
See comment 5

Comment 8 Ben Cotton 2018-11-26 15:52:53 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Adam Jackson 2019-09-26 15:17:51 UTC
This would be a bug in gnome-shell if anything, the "wayland" package contains only the core libraries and protocol, it doesn't implement scrolling itself. Reassigning.

Comment 10 Christian Stadelmann 2021-11-05 14:37:41 UTC
Reassigning as per comment #19.

@reporter and @Andrew Overholt:
Is this issue still present?

Comment 11 hamming.dolf 2021-11-05 15:09:23 UTC
@Andrew Overholt:
I am afraid I cannot test this at the moment. I changed distributions
and am currently on MX Linux on Xorg.

Comment 12 Andrew Overholt 2021-11-05 16:51:04 UTC
Still reproducible in at least Fedora 33 (the latest I have on this machine).

(FWIW I just switched to LibreOffice Calc)

Comment 13 Ben Cotton 2022-07-11 18:51:30 UTC
Re-closing as F33 reached EOL on 2021-11-30. This bug got missed because the version was never updated. If the behavior still exists in a supported version of Fedora Linux, please re-open and update the version. If you cannot update the version, please needinfo the assignee.


Note You need to log in before you can comment on or make changes to this bug.